### Method

# Cogl Program set_uniform_float

deprecated: 1.16

#### Declaration [src]

    void
    cogl_program_set_uniform_float (
      CoglProgram* program,
      int uniform_location,
      int n_components,
      int count,
      const float* value
    )

#### Description [src]

Changes the value of a float vector uniform, or uniform array for the given linked `program`.

Deprecated since: 1.16

Use `CoglSnippet` api instead.

#### Parameters

`uniform_location`

  Type: `int`

  The uniform location retrieved from `cogl_program_get_uniform_location()`.

`n_components`

  Type: `int`

  The number of components for the uniform. For example with glsl you’d use 3 for a vec3 or 4 for a vec4.

`count`

  Type: `int`

  For uniform arrays this is the array length otherwise just pass 1.

`value`

  Type: An array of `float`

  The new value of the uniform[s].

  The length of the array is specified in the `count` argument.
  The data is owned by the caller of the method.